
Redmine - Defect #6126

"project id" node is ignored when creating issues via REST API

2010-08-13 01:44 - Alex Last

Status: Closed Start date: 2010-08-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

this is the XML body I'm sending from my program to Redmine (last trunk version):

<issue><project_id>ace</project_id><parent id="46"/><subject>child 1</subject></issue>

 POST http://172.17.10.53:3000/issues.xml HTTP/1.1

----------------------------------------

response from server:

HTTP/1.1 201 Created

Response content length: 603

<?xml version="1.0" encoding="UTF-8"?>

<issue>

  <id>51</id>

  <project name="ace" id="7"/>

  <tracker name="Bug" id="1"/>

  <status name="New" id="1"/>

  <priority name="Normal" id="4"/>

  <author name="Redmine Admin" id="1"/>

  <subject>child 1</subject>

  <description></description>

  <start_date>2010-08-12</start_date>

  <due_date></due_date>

  <done_ratio>0</done_ratio>

  <estimated_hours></estimated_hours>

  <spent_hours>0.0</spent_hours>

  <created_on>Thu Aug 12 16:44:44 -0700 2010</created_on>

  <updated_on>Thu Aug 12 16:44:44 -0700 2010</updated_on>

  <relations>

  </relations>

</issue>

 my output:

created child: issue: id=51 assignee: subject:child 1

 I have the issue with id "46" in the same "ace" project so I expect the new issue to be created with the parent link, but it's created with

no parent.

here's Redmine log:

Processing IssuesController#create to xml (for 172.17.10.62 at 2010-08-12 16:44:39) [POST]

  Parameters: {"format"=>"xml", "action"=>"create", "issue"=>{"parent"=>{"id"=>"46"}, "project_id"

=>"ace", "subject"=>"child 1"}, "controller"=>"issues"}

Filter chain halted as [:check_if_login_required] rendered_or_redirected.

Completed in 13ms (View: 0, DB: 7) | 401 Unauthorized [http://172.17.10.53/issues.xml]

Processing IssuesController#create to xml (for 172.17.10.62 at 2010-08-12 16:44:44) [POST]

  Parameters: {"format"=>"xml", "action"=>"create", "issue"=>{"parent"=>{"id"=>"46"}, "project_id"

=>"ace", "subject"=>"child 1"}, "controller"=>"issues"}

Sending email notification to: admin@example.net
http://172.17.10.53:3000/issues.xml


Rendering issues/show (created)

Completed in 242ms (View: 15, DB: 123) | 201 Created [http://172.17.10.53/issues.xml]

History

#1 - 2010-08-13 11:39 - Felix Schäfer

<parent_issue_id>46</parent_issue_id>

#2 - 2010-08-14 06:10 - Alex Last

this works, thanks.

see my comment for task #6128 : http://www.redmine.org/issues/6128#note-2

#3 - 2010-08-14 06:14 - Alex Last

btw, just noticed that I made a mistake in "subject" field: should be "parent id" instead of "project_id"

#4 - 2010-08-17 01:21 - Alex Last

- Status changed from New to Resolved

#5 - 2010-08-17 09:20 - Felix Schäfer

- Status changed from Resolved to Closed
